package timer

import (
"fmt"
"time"
//"reflect"
)

func New(duration_int int, unit string) *time.Timer {

	start		:= time.NewTimer(0)
	duration	:= time.Duration(duration_int)
//	fmt.Println(reflect.TypeOf(duration))
//	timer_10s	:= time.NewTimer(10 * time.Second)
//	timer_1m	:= time.NewTimer(1 * time.Minute)
	fmt.Println("Duration: ", duration_int, "Unit: ", unit, ".")
	if unit == "Second" {
		start	= time.NewTimer(duration * time.Second)
	} else if unit == "Minute" {
		start	= time.NewTimer(duration * time.Minute)
	} else {
		fmt.Println("Unit not recognized.")
	}
	fmt.Println("Waiting ", duration_int, " ", unit, ".")
	if start.Stop() {
	<-start.C
	fmt.Println("Done waiting ", duration_int, " ", unit, "!")
	}
	return start
//	for elapsed < ten_seconds {
//}
//	for 
}

func Reset
